package com.eni.android.webview;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.os.Bundle;
import android.webkit.WebSettings;
import android.webkit.WebView;

public class WebViewPagRemotaEjemploActivity extends Activity {

	private static final String GOOGLE = "http://www.google.es";

	@SuppressLint("SetJavaScriptEnabled")
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		WebView webView = (WebView) findViewById(R.id.webview);
		WebSettings settings = webView.getSettings();
		settings.setBuiltInZoomControls(true);
		/*Atención, la activación de JavaScript puede provocar la aparición de vulnerabilidades en sus aplicaciones*/
		settings.setJavaScriptEnabled(true);
		webView.loadUrl(GOOGLE);
	}

}
